[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomFrame.GetChildren

Invokes Proc for all Controls and also for all Components without a Parent.

## Declaration

Source position: forms.pp line 337

`public procedure TCustomFrame.GetChildren(`
`Proc: TGetChildProc;`
`Root: TComponent`
`); override;`

## Arguments

`Proc` |  | The callback method.
`Root` |  | Components are enumerated only if Root=Self.

## See also

TWinControl.GetChildren |  | Calls the specified procedure for each child control with Root as the Owner.